from sqlalchemy import (
    Column,
    Integer,
    String,
    DateTime,
    ForeignKey,
    func,
    Boolean,
)
from sqlalchemy.orm import declarative_base
from geoalchemy2 import Geometry

Base = declarative_base()


class Boucle(Base):
    __tablename__ = "boucles"

    id = Column(Integer, primary_key=True)
    name = Column(String)
    geolocalisation = Column(Geometry("POINT"))


class Comptage(Base):
    __tablename__ = "comptages"

    id = Column(Integer, primary_key=True)
    id_boucle = Column(Integer, ForeignKey("boucles.id"))
    datetime = Column("date", DateTime(timezone=True), default=func.now())
    week_day = Column(Integer)
    holiday = Column(Boolean)
    count = Column(Integer)


class unaccounted_Comptage(Base):
    __tablename__ = "unaccounted_comptage"

    id = Column(Integer, primary_key=True)
    id_boucle = Column(Integer)
    datetime = Column("date", DateTime(timezone=True), default=func.now())
    week_day = Column(Integer)
    holiday = Column(Boolean)
    count = Column(Integer)
